Skip to main content
GET
/
virtual-accounts
List all virtual accounts
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/virtual-accounts \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  },
  "data": [
    {
      "id": "",
      "amount": 1000,
      "account_number": "7824822527",
      "reference": "htuy68787hvhyff454",
      "account_bank_name": "WEMA BANK",
      "account_type": "static",
      "status": "active",
      "account_expiration_datetime": "2025-12-03T13:54:21.546559974Z",
      "note": "Please make a bank transfer to James Burgers",
      "customer_id": "cus_J0PvwvJB2n",
      "created_datetime": "2024-12-03T13:54:21.546559974Z",
      "meta": {},
      "customer_reference": "AEGP2345",
      "currency": "NGN"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Query Parameters

to
string<date-time>

The end date and time for a period. This parameter is used in conjunction with the 'from' parameter to define a time range. The value should be in ISO 8601 format.

from
string<date-time>

The start date and time for a period. This parameter is used in conjunction with the 'to' parameter to define a time range. The value should be in ISO 8601 format.

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50
reference
string

A custom identifier to track the transaction, This must be unique across all your transactions.

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
meta
object
data
object[]
Maximum array length: 10